Subject: [bug#72451] fixing the gsl test failures on i686

From: Kaelyn <[email-masked]>
Date: Sun, 18 Aug 2024 17:44:09 +0000

Hi Ludo,

I noticed this morning that you recently pushed commit fa8dbbe59d to fix the i686-linux gsl test failures. I'd submitted a similar fix about two weeks ago (along with a couple of other i686-linux fixes that affect building wine64), and I wanted to mention that I don't think your commit does the right thing with CFLAGS. When I figured out the error, I noticed a side-effect of passing CFLAGS=-fPIC as the #:make-flags is that it disables the optimized build (or at least relies on whatever optimizations the compiler defaults to, which AFAIK is little to none). While your patch also cleans up the definition a bit by no longer disabling some tests, I think the correct approach is to include the package's default CFLAGS as part of the #:make-flags as I did in issue 72451 so that optimizations aren't unintentionally disabled.

Cheers,
Kaelyn